Subject: RE: issue 65

From: Dimitry Haskin <[email-masked]>
Date: Fri, 18 Oct 2002 10:10:18 -0400

> 
>   65) Rules for Aggregating with MED and NEXT_HOP
>   
> --------------------------------------------------------------
> --------------
> 
> I would suggest to replace:
> 
>    [snip]
> 
> with:
> 
>    Routes that have different MULTI_EXIT_DISC attribute SHALL NOT
>    be aggregated. 
> 
I propose to remove the above sentence from the text. Whether to aggregate
routes that were received with different MEDs or not is a local policy
decision that has no interoperability implication or breaks routing in any
way. It also is a local policy choice whether to advertise MED and what MED
value to use with a newly generated aggregate route.

Dimitry

P.S. I am aware of implementations (I believe GateD one of them) that ignore
the above rule. Which is fine.. except that those implementations don't pass
some well known conformance tests.

>    Path attributes that have different type codes can not be 
> aggregated
>    together. Path attributes of the same type code may be aggregated,
>    according to the following rules:
> 
>      NEXT_HOP: When aggregating routes that have different NEXT_HOP
>      attribute, the NEXT_HOP attribute of the aggregated route SHALL
>      identify an interface on the router that performs the 
> aggregation.
> 
> In the absence of objections I am going to make the above change.
> 
> Yakov.
>

---

From: Jeffrey Haas <[email-masked]>
Date: Fri, 18 Oct 2002 10:14:54 -0400

On Fri, Oct 18, 2002 at 10:10:18AM -0400, Dimitry Haskin wrote:
> way.

It has been claimed by those who have more experience than me that
you can end up with loops in some cases if you do this.  No, I
never got an example.

> the above rule.

That is also by knob.  The "bgp" keyword on the aggregate clause
forces aggregation to not aggregate routes with differing nexthops and
med's.

-- 
Jeff Haas 
NextHop Technologies